<?php
/**
 * @package   Hybrid Template - RocketTheme
* @version   $Id: unsupported.php 26166 2015-01-27 17:25:17Z james $
* @author    RocketTheme http://www.rockettheme.com
* @copyright Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Hybrid Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );

// load and inititialize gantry class
require_once('lib/gantry/gantry.php');
$gantry->init();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $gantry->language; ?>" lang="<?php echo $gantry->language;?>">
  <head>
  <?php 
      $gantry->displayHead();
      $gantry->addStyles(array('template.css','joomla.css'));
    ?>
  </head>
	<body class="backgroundlevel-high bodylevel-high font-family-paradox">
		<div id="rt-page-background">
			<div id="rt-header-surround">
				<?php /** Begin Header **/ if ($gantry->countModules('header')) : ?>
				<div id="rt-header">
					<div class="rt-container">
						<?php echo $gantry->displayModules('header','standard','standard'); ?>
						<div class="clear"></div>
					</div>
				</div>
				<?php /** End Header **/ endif; ?>
			</div>
			<div class="bodystyle-body2" id="rt-main-background"><div class="bodyaccent-accent4" id="rt-main-accent">
				<div class="mb9-sa3" id="rt-main">
		            <div class="rt-main-inner">
						<div class="rt-container">
							<div class="rt-block">
							<div class="component-content rt-joomla">
								<div class="rt-article">
									<div class="module-title">
										<h2 class="title">Unsupported Browser</h2>
									</div>
								</div>
								<p>We have detected that you are using Internet Explorer 7, a browser version that is not supported by this website. Internet Explorer 7 was released in October of 2006, and the latest version of IE7 was released in October of 2007.</p>
								<p>Continuing to run IE7 leaves you open to any and all security vulnerabilities discovered since that date. In October 2013, Microsoft released version 11 of Internet Explorer that, in addition to providing greater security, is faster and more standards compliant than versions 6-10 that came before it.</p>
								<p>We suggest installing the <a href="http://www.microsoft.com/windows/internet-explorer/default.aspx">latest version of Internet Explorer</a>, or the latest version of these other popular browsers: <a href="http://www.mozilla.com/en-US/firefox/firefox.html">Firefox</a>, <a href="http://www.google.com/chrome">Google Chrome</a>, <a href="http://www.apple.com/safari/download/">Safari</a>, <a href="http://www.opera.com/">Opera</a></p>
							</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div id="rt-bottom-surround">
				<div id="rt-footerbar">
				<?php /** Begin footer **/ if ($gantry->countModules('footer')) : ?>
					<div id="rt-footer">
						<div class="rt-container">
							<?php echo $gantry->displayModules('footer','standard','standard'); ?>
							<div class="clear"></div>
						</div>
					</div>
				<?php /** End Copyright **/ endif; ?>
				</div>
			</div>
		</div>
	</body>
</html>
<?php
$gantry->finalize();
?>